Package twisted :: Package coil :: Module coil :: Class Configurator

[show private | hide private]
[frames | no frames]

## Class Configurator

Known Subclasses:
  `FTPConfigurator`, `MailConfigurator`, `MaildirDBMConfigurator`, `ManholeConfigurator`, `ProxyConfigurator`, `SOCKSConfigurator`, `ShellFactoryConfigurator`, `TestConfigurator`, `ReverseProxyConfigurator`, `VirtualHostConfigurator`, `StaticConfigurator`, `SiteConfigurator`, `WordsConfigurator`

A configurator object implementing default behaviour.

Custom handling of configuration-item-setting can be had by adding configure_%s(self, value) methods to my subclass. The default is to set an attribute on the instance that will be configured.

A method getConfiguration should return a mapping of attribute to value, for attributes mentioned in configTypes. The default is to get the attribute from the instance that is being configured.

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| ``configDispensers`(self)` Return list of dispensers.
| ``configure`(self, dict)` Set a list of configuration variables.
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration.
| ``getInstance`(self)` Return the instance being configured.
| ``getType`(self, name)` Get the type of a configuration variable.

Class Variable Summary
`MetaInterface` | `__implements__`
`NoneType` | `configName`
`dict` | `configTypes`
`NoneType` | `configurableClass`

Method Details

### __init__(self, instance)
(Constructor)

Initialize this configurator with the instance it will be configuring.

### configDispensers(self)

Return list of dispensers.

### configure(self, dict)

Set a list of configuration variables.

### getConfiguration(self)

Return a mapping of key/value tuples describing my configuration.

By default gets the attributes from the instance being configured, override in subclasses if necessary.

### getInstance(self)

Return the instance being configured.

### getType(self, name)

Get the type of a configuration variable.

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.coil.coil.IConfigurator'>

### configName

  Type:
    `NoneType`
  Value:

        None

### configTypes

  Type:
    `dict`
  Value:

        {}

### configurableClass

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:20 2003 | http://epydoc.sf.net